Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 2763)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 2765)
@@ -4,45 +4,64 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
-$(SOPHYALIBP)libSkyMap.a : $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+$(SOPHYALIBP)libSkyMap.a : $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
+ 
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h localmap.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
+  sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  localmap.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiosphereecp.h sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -64,89 +83,59 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
  
 $(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherehealpix.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherehealpix.h \
+  HEALPixUtils.h $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherethetaphi.h \
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  spherethetaphi.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
  
 $(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  localmap.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)sopnamsp.h localmap.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -169,20 +158,16 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  longlat.h \
-  $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
+ 
+$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
+  longlat.h $(SOPHYAINCP)machdefs.h \
   utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
 $(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  pixelmap.h \
+  $(SOPHYAINCP)machdefs.h mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,41 +180,36 @@
   $(SOPHYAINCP)mutyv.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mapoperation.cc
  
 $(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  spherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
-  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
 $(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -249,5 +229,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphereecp.cc
  
 $(SOPHYAOBJP)spherehealpix.o: spherehealpix.cc \
@@ -262,7 +242,6 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  spherehealpix.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
   pixelmap.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -273,30 +252,26 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h \
-  HEALPixUtils.h \
+  $(SOPHYAINCP)utilarr.h HEALPixUtils.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
 $(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h unitvector.h \
+  vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  spherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -317,24 +292,22 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherethetaphi.cc
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  unitvector.h vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h unitvector.h \
+  vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
 $(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
 $(SOPHYAOBJP)vector3d.o: vector3d.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+  $(SOPHYAINCP)pexceptions.h vector3d.h \
+  longlat.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
+ 
Index: trunk/SophyaLib/SkyMap/objlist.list
===================================================================
--- trunk/SophyaLib/SkyMap/objlist.list	(revision 2763)
+++ trunk/SophyaLib/SkyMap/objlist.list	(revision 2765)
@@ -1,7 +1,7 @@
+HEALPixUtils.o
 fiolocalmap.o
 fiosphereecp.o
 fiospherehealpix.o
 fiospherethetaphi.o
-HEALPixUtils.o
 localmap.o
 longlat.o
Index: trunk/SophyaLib/SkyMap/smakefile
===================================================================
--- trunk/SophyaLib/SkyMap/smakefile	(revision 2763)
+++ trunk/SophyaLib/SkyMap/smakefile	(revision 2765)
@@ -4,45 +4,64 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
-$(SOPHYALIBP)libSkyMap.a : $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+$(SOPHYALIBP)libSkyMap.a : $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
+ 
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiolocalmap.h sphericalmap.h \
+  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h localmap.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiolocalmap.cc
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
+  sphereecp.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  localmap.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiosphereecp.h sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -64,89 +83,59 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosphereecp.cc
  
 $(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherehealpix.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  spherehealpix.h HEALPixUtils.h \
+  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherehealpix.h \
+  HEALPixUtils.h $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherehealpix.cc
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherethetaphi.h \
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  spherethetaphi.h \
-  $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
  
 $(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  localmap.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)sopnamsp.h localmap.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -169,20 +158,16 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  longlat.h \
-  $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
+ 
+$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
+  longlat.h $(SOPHYAINCP)machdefs.h \
   utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
 $(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  mapoperation.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  pixelmap.h \
+  $(SOPHYAINCP)machdefs.h mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,41 +180,36 @@
   $(SOPHYAINCP)mutyv.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mapoperation.cc
  
 $(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  spherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
-  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
 $(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sphereecp.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -249,5 +229,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphereecp.cc
  
 $(SOPHYAOBJP)spherehealpix.o: spherehealpix.cc \
@@ -262,7 +242,6 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  spherehealpix.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
   pixelmap.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -273,30 +252,26 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h \
-  HEALPixUtils.h \
+  $(SOPHYAINCP)utilarr.h HEALPixUtils.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
 $(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  unitvector.h vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h unitvector.h \
+  vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
  
 $(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  spherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
-  pixelmap.h \
+  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -317,24 +292,22 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherethetaphi.cc
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  unitvector.h vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h unitvector.h \
+  vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
 $(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
 $(SOPHYAOBJP)vector3d.o: vector3d.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  vector3d.h longlat.h utilgeom.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+  $(SOPHYAINCP)pexceptions.h vector3d.h \
+  longlat.h utilgeom.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
+ 
